package id.ac.unpas.ta.david.pojo;
// Generated Jul 15, 2019 5:45:00 PM by Hibernate Tools 5.2.8.Final

import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * MasterFakultas generated by hbm2java
 */
@Entity
@Table(name = "master_fakultas", catalog = "ta")
public class MasterFakultas implements java.io.Serializable {

	private String idFakultas;
	private MasterPerguruanTinggi masterPerguruanTinggi;
	private String namaFakultas;
	private String inisialFakultas;
	private Set<MasterProgramStudi> masterProgramStudis = new HashSet<MasterProgramStudi>(0);
	private Set<MasterDosen> masterDosens = new HashSet<MasterDosen>(0);

	public MasterFakultas() {
	}

	public MasterFakultas(String idFakultas, MasterPerguruanTinggi masterPerguruanTinggi, String namaFakultas,
			String inisialFakultas) {
		this.idFakultas = idFakultas;
		this.masterPerguruanTinggi = masterPerguruanTinggi;
		this.namaFakultas = namaFakultas;
		this.inisialFakultas = inisialFakultas;
	}

	public MasterFakultas(String idFakultas, MasterPerguruanTinggi masterPerguruanTinggi, String namaFakultas,
			String inisialFakultas, Set<MasterProgramStudi> masterProgramStudis, Set<MasterDosen> masterDosens) {
		this.idFakultas = idFakultas;
		this.masterPerguruanTinggi = masterPerguruanTinggi;
		this.namaFakultas = namaFakultas;
		this.inisialFakultas = inisialFakultas;
		this.masterProgramStudis = masterProgramStudis;
		this.masterDosens = masterDosens;
	}

	@Id

	@Column(name = "idFakultas", unique = true, nullable = false, length = 9)
	public String getIdFakultas() {
		return this.idFakultas;
	}

	public void setIdFakultas(String idFakultas) {
		this.idFakultas = idFakultas;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "idPerguruanTinggi", nullable = false)
	public MasterPerguruanTinggi getMasterPerguruanTinggi() {
		return this.masterPerguruanTinggi;
	}

	public void setMasterPerguruanTinggi(MasterPerguruanTinggi masterPerguruanTinggi) {
		this.masterPerguruanTinggi = masterPerguruanTinggi;
	}

	@Column(name = "namaFakultas", nullable = false, length = 50)
	public String getNamaFakultas() {
		return this.namaFakultas;
	}

	public void setNamaFakultas(String namaFakultas) {
		this.namaFakultas = namaFakultas;
	}

	@Column(name = "inisialFakultas", nullable = false, length = 15)
	public String getInisialFakultas() {
		return this.inisialFakultas;
	}

	public void setInisialFakultas(String inisialFakultas) {
		this.inisialFakultas = inisialFakultas;
	}

	@OneToMany(fetch = FetchType.LAZY, mappedBy = "masterFakultas")
	public Set<MasterProgramStudi> getMasterProgramStudis() {
		return this.masterProgramStudis;
	}

	public void setMasterProgramStudis(Set<MasterProgramStudi> masterProgramStudis) {
		this.masterProgramStudis = masterProgramStudis;
	}

	@OneToMany(fetch = FetchType.LAZY, mappedBy = "masterFakultas")
	public Set<MasterDosen> getMasterDosens() {
		return this.masterDosens;
	}

	public void setMasterDosens(Set<MasterDosen> masterDosens) {
		this.masterDosens = masterDosens;
	}

}
